@extends("layouts.admin")

@section('content')
    <div class="page-header">
        <h3 class="page-title">
            Посылки
        </h3>
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="#">Посылки</a></li>
                <li class="breadcrumb-item active" aria-current="page">Список</li>
            </ol>
        </nav>
    </div>

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <table class="table table-hover table-striped">
                        <thead>
                        <tr>
                            <td>#</td>
                            <td>Пользователь</td>
                            <td>Название посылки</td>
                            <td>Статус</td>
                            <td>Track Number</td>
                            <td>Дата</td>
                            <td>Опции</td>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($packages as $package)
                            <tr>
                                <td>{{ $package->id }}</td>
                                <td><a href="{{ route('userEdit', ['user_id' => $package->user_id]) }}">{{ $package->user->name ?? '' }}</a></td>
                                <td>{{ $package->package_name }}</td>
                                <td><span class="badge badge-{{ \App\Models\Package::$statuses_colors[$package->status] ?? '' }}">{{ \App\Models\Package::$statuses_descr[$package->status] ?? '' }}</span></td>
                                <td>{{ $package->track_number }}</td>
                                <td>{{ $package->date }}</td>
                                <td>
                                    <a href="{{ route('packageEdit', ['package_id' => $package->id]) }}" class="btn btn-sm btn-primary">Edit</a>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <div class="container">
        <div class="row justify-content-md-center">
            <div class="mt-4 mb-5 mx-auto d-block">
                {{ $packages->appends($_GET)->links() }}
            </div>
        </div>
    </div>
@endsection